# Uses of Class
javax.swing.JTree.DropLocation

Packages that use JTree.DropLocation
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

- ## Uses of JTree.DropLocation in javax.swing

  Methods in javax.swing that return JTree.DropLocation
  Modifier and Type
  Method
  Description
  `final JTree.DropLocation`
  JTree.`getDropLocation()`
  Returns the location that this component should visually indicate as the drop location during a DnD operation over the component, or `null` if no location is to currently be shown.

- ## Uses of JTree.DropLocation in javax.swing.plaf.basic

  Methods in javax.swing.plaf.basic with parameters of type JTree.DropLocation
  Modifier and Type
  Method
  Description
  `protected Rectangle`
  BasicTreeUI.`getDropLineRect(JTree.DropLocation loc)`
  Returns a unbounding box for the drop line.
  `protected boolean`
  BasicTreeUI.`isDropLine(JTree.DropLocation loc)`
  Tells if a `DropLocation` should be indicated by a line between nodes.